Page MenuHomePhabricator

RfC: Change LESS compilation library
Closed, ResolvedPublic

Description

We need to decide on the Change LESS compilation library RfC.

Event Timeline

Qgil created this task.Sep 25 2014, 11:46 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil added a project: Architecture.
Qgil changed Security from none to None.
Qgil moved this task from Inbox to Ready to Go on the Architecture board.
Qgil added a subscriber: Qgil.
Qgil raised the priority of this task from Normal to High.Oct 1 2014, 6:56 AM

This RfC has been scheduled for next week: https://www.mediawiki.org/wiki/Architecture_committee/2014-10-01

Qgil edited projects, added TechCom-RFC; removed Architecture.Oct 22 2014, 8:45 PM
daniel added a subscriber: daniel.Feb 27 2015, 3:11 PM

Discussed on 2014-10-08.

Change LESS compilation library | RFC meeting | https://meta.wikimedia.org/wiki/IRC_office_hours | Please note: Channel is  logged and publicly posted (DO NOT REMOVE THIS NOTE) | Logs: http://bots.wmflabs.org/~wm-bot/logs/%23wikimedia-office/ (TimStarling, 21:03:14)

  https://www.mediawiki.org/wiki/Requests_for_comment/Change_LESS_compilation_library (TimStarling, 21:03:22)
  https://www.apache.org/licenses/GPL-compatibility.html (DanielK_WMDE__, 21:10:30)
  https://github.com/oyejorge/less.php/issues/168#issuecomment-55478059 it looks like it got forked? (legoktm, 21:12:47)
  https://github.com/less/less.js/issues/1029 (TrevorParscal, 21:15:49)
  https://github.com/Less-PHP/less.php/blob/master/composer.json (legoktm, 21:16:22)
  <TrevorParscal> step 1: to resolve the licensing by either getting the less.php to become compatible, or rounding up and resolving all non "or later" uses of GPLv2 in our own software (TimStarling, 21:28:02)
  <TrevorParscal> step 2: have a mergable patch for less.php to restore custom functions (maybe offer it upstream) (TimStarling, 21:28:14)
  bd808 votes for composer (TimStarling, 21:28:30)

TODO according to trevor:

  • step 1: to resolve the licensing by either getting the less.php to become compatible, or rounding up and resolving all non "or later" uses of GPLv2 in our own software
  • step 2: have a mergable patch for less.php to restore custom functions (maybe offer it upstream)
daniel moved this task from Inbox to Backlog on the TechCom-RFC board.Feb 27 2015, 3:11 PM
Jdforrester-WMF removed TrevorParscal as the assignee of this task.Mar 19 2015, 11:27 PM
Paladox added subscribers: Krinkle, Bawolff.

Why was I cc'd on this?

This comment was removed by Paladox.
Bawolff removed a subscriber: Bawolff.Jun 11 2015, 10:23 PM
ori added a comment.Sep 11 2015, 9:06 PM

TODO according to trevor:

  • step 1: to resolve the licensing by either getting the less.php to become compatible, or rounding up and resolving all non "or later" uses of GPLv2 in our own software

cssjanus/cssjanus and CSSMin are both Apache-licensed. I think we should not worry about it. I will wager that no one substantially involved with either MediaWiki or less.php would be injured by the interoperation of these two software projects.

  • step 2: have a mergable patch for less.php to restore custom functions (maybe offer it upstream)

Custom functions are gone, as of rMWe176c76da2d8: resourceloader: Fully remove ResourceLoaderLESSFunctions.

ori closed this task as Resolved.Sep 24 2015, 6:26 PM
ori claimed this task.